# -*- Mode: python; indent-tabs-mode: nil; tab-width: 40 -*-
# vim: set filetype=python:
# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.

pages = [
    'blocked',
    'certerror',
    'config',
    'downloads',
    'framecrashed',
    'home',
    'logins',
    'newinstall',
    'newtab',
    'pocket-saved',
    'pocket-signup',
    'policies',
    'preferences',
    'privatebrowsing',
    'protections',
    'profiling',
    'reader',
    'restartrequired',
    'rights',
    'robots',
    'sessionrestore',
    'tabcrashed',
    'welcome',
    'welcomeback',
]

Classes = [
    {
        'cid': '{7e4bb6ad-2fc4-4dc6-89ef-23e8e5ccf980}',
        'contract_ids': ['@mozilla.org/network/protocol/about;1?what=%s' % page
                         for page in pages],
        'legacy_constructor': 'mozilla::browser::AboutRedirector::Create',
        'headers': ['/browser/components/about/AboutRedirector.h'],
    },
]
